### Method

# Gegl Node get_consumers

#### Declaration [src]

    gint
    gegl_node_get_consumers (
      GeglNode* node,
      const gchar* output_pad,
      GeglNode*** nodes,
      const gchar*** pads
    )

#### Description [src]

Retrieve which pads on which nodes are connected to a named output_pad, and the number of connections. Both the location for the generated nodes array and pads array can be left as NULL. If they are non NULL both should be freed with g_free. The arrays are NULL terminated.

Returns the number of consumers connected to this output_pad.

#### Parameters

`output_pad`

  Type: `const gchar*`

  The output pad we want to know who uses.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`nodes`

  Type: An array of `GeglNode**`

  Optional return location for array of nodes.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The instance takes ownership of the data, and is responsible for freeing it.

`pads`

  Type: An array of `gchar**`

  Optional return location for array of pad names.

  The argument will be set by the function.
  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The instance takes ownership of the data, and is responsible for freeing it.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

No description available.